tracker-os-dependant
3
LIBTRACKER-COMMON Library

# tracker-os-dependant

## Synopsis

    gboolean            tracker_spawn                       (gchar **argv,
                                                             gint timeout,
                                                             gchar **tmp_stdout,
                                                             gint *exit_status);
    gboolean            tracker_spawn_async_with_channels   (const gchar **argv,
                                                             gint timeout,
                                                             GPid *pid,
                                                             GIOChannel **stdin_channel,
                                                             GIOChannel **stdout_channel,
                                                             GIOChannel **stderr_channel);
    void                tracker_spawn_child_func            (gpointer user_data);
    gchar *             tracker_create_permission_string    (struct stat finfo);
    gboolean            tracker_memory_setrlimits           (void);

## Description

## Details

### tracker_spawn ()

    gboolean            tracker_spawn                       (gchar **argv,
                                                             gint timeout,
                                                             gchar **tmp_stdout,
                                                             gint *exit_status);

`argv` :

`timeout` :

`tmp_stdout` :

`exit_status` :

Returns :

### tracker_spawn_async_with_channels ()

    gboolean            tracker_spawn_async_with_channels   (const gchar **argv,
                                                             gint timeout,
                                                             GPid *pid,
                                                             GIOChannel **stdin_channel,
                                                             GIOChannel **stdout_channel,
                                                             GIOChannel **stderr_channel);

`argv` :

`timeout` :

`pid` :

`stdin_channel` :

`stdout_channel` :

`stderr_channel` :

Returns :

### tracker_spawn_child_func ()

    void                tracker_spawn_child_func            (gpointer user_data);

`user_data` :

### tracker_create_permission_string ()

    gchar *             tracker_create_permission_string    (struct stat finfo);

`finfo` :

Returns :

### tracker_memory_setrlimits ()

    gboolean            tracker_memory_setrlimits           (void);

Returns :